This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1305932 - No /login page for AEP registry oauth redirects
No /login page for AEP registry oauth redirects
Status: CLOSED WORKSFORME
Product: OpenShift Container Platform
Classification: Red Hat
Component: Auth (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Jordan Liggitt
weiwei jiang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-09 10:48 EST by Aaron Weitekamp
Modified: 2016-10-30 18:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-11 11:11:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aaron Weitekamp 2016-02-09 10:48:43 EST
Description of problem:
The Atomic Registry web UI is a cockpit-based service. If authentication is configured for HTPasswd, LDAP or Request Header providers the interface redirects to the oauth /login page. This is not served from AEP so it fails.

Version-Release number of selected component (if applicable):
# oc version
oc v3.1.1.6
kubernetes v1.1.0-origin-1107-g4c8e6f4

How reproducible:
always

Steps to Reproduce:
1. Configure AEP for HTPasswd, LDAP or Request Header identity provider
2. Run registry web UI as a pod via template
3. Launch registry web UI, try to login

Actual results:
Browser redirect fails

Expected results:
Browser should redirect to a login page where credentials are entered, then load registry web UI.

Additional info:
Comment 1 Jordan Liggitt 2016-02-09 11:23:51 EST
Can you attach the config you are using?
Comment 2 Jordan Liggitt 2016-02-09 15:17:25 EST
I can't recreate with htpasswd or LDAP. Request header auth doesn't use the login page, so it is not expected one would be registered.

Make sure you have "login: true" set in the config.
Comment 3 Jordan Liggitt 2016-02-11 11:11:11 EST
closing as unrecreatable. please reopen with additional config/recreation steps if you still see it

Note You need to log in before you can comment on or make changes to this bug.